Remote code execution in Apache Tomcat component in F5 Traffix SDC



Published: 2021-03-16
Risk Medium
Patch available NO
Number of vulnerabilities 1
CVE-ID CVE-2021-25329
CWE-ID CWE-502
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Traffix SDC
Client/Desktop applications / Software for system administration

Vendor F5 Networks, Inc.

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Deserialization of Untrusted Data

EUVDB-ID: #VU51012

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-25329

CWE-ID: CWE-502 - Deserialization of Untrusted Data

Exploit availability: No

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to insecure input validation when processing serialized data. A remote attacker can pass specially crafted data to the application and execute arbitrary code on the target system.

Note, the vulnerability exists due to incomplete fix for #VU28158 and requires a certain specific configuration.

Mitigation

Cybersecurity Help is currently unaware of any official solution to address this vulnerability.

Vulnerable software versions

Traffix SDC: 5.1.0 - 5.1.0 CF 22


CPE2.3 External links

http://support.f5.com/csp/article/K73648110

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###